Repository 32bit  Forum
Repository 64bit  Wiki

[RISOLTO] partitionmanager: error libparted

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[RISOLTO] partitionmanager: error libparted

Messaggioda daniele50 » sab mag 08, 2010 15:51

Ciao,
sulla current ho installato partitiomanager-1.0.2 ma non mi parte, ecco cosa dice da shell:
Codice: Seleziona tutto
daniele50@slacky:~$ partitionmanager
/usr/bin/partitionmanager-bin: error while loading shared libraries: libparted-1.8.so.8: cannot open shared object file: No such file or directory

ed ecco se cerco libparted:
Codice: Seleziona tutto
root@slacky:/# find / -name libparted*
/home/daniele50/.local/share/Trash/files/partitionmanager-1.0.2/src/core/libparted.cpp
/home/daniele50/.local/share/Trash/files/partitionmanager-1.0.2/src/core/libparted.h
/usr/lib/libparted.so.0
/usr/lib/libparted.so
/usr/lib/libparted.la
/usr/lib/libparted.so.0.0.1
/usr/lib/pkgconfig/libparted.pc                                                                                                     
root@slacky:/#

dove recupero la libreria libparted 1.8?
Ultima modifica di daniele50 il sab mag 08, 2010 17:13, modificato 1 volta in totale.
Avatar utente
daniele50
Linux 2.6
Linux 2.6
 
Messaggi: 928
Iscritto il: mar apr 10, 2007 12:58
Località: San Zenone al Lambro (MI)
Nome Cognome: Daniele Cinquanta
Slackware: Slackware64 14.0
Kernel: 3.2.29
Desktop: Xfce 4.10

Re: partitionmanager: error libparted

Messaggioda conraid » sab mag 08, 2010 15:57

a me parte, e risulta linkato a parted normalmente

ldd `which partitionmanager-bin` | grep parted
libparted.so.0 => /usr/lib/libparted.so.0 (0xb5cea000)

parted fa parte della Slackware, nella versione 2.2
Avatar utente
conraid
Staff
Staff
 
Messaggi: 11987
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: partitionmanager: error libparted

Messaggioda daniele50 » sab mag 08, 2010 16:08

A me invece qualcosa non va:
Codice: Seleziona tutto
bash-4.1$ ldd `which partitionmanager-bin` | grep parted
   libparted-1.8.so.8 => not found
bash-4.1$

io ho notato che con slacky install-new non vedevo il pacchetto, e quindi l'ho scaricato da slacky.eu, ma non ci sono dipendenze e quindi non capisco cosa non ha funzionato...
Avatar utente
daniele50
Linux 2.6
Linux 2.6
 
Messaggi: 928
Iscritto il: mar apr 10, 2007 12:58
Località: San Zenone al Lambro (MI)
Nome Cognome: Daniele Cinquanta
Slackware: Slackware64 14.0
Kernel: 3.2.29
Desktop: Xfce 4.10

Re: partitionmanager: error libparted

Messaggioda conraid » sab mag 08, 2010 16:16

perdonami, ma parli di current o di stable?
se parli di current perché prendere cose extra quando sono già comprese?
se mescoli cose può capitare che qualcosa non funzioni
Avatar utente
conraid
Staff
Staff
 
Messaggi: 11987
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: partitionmanager: error libparted

Messaggioda daniele50 » sab mag 08, 2010 16:21

Parlo di current: partitionmanager fa parte dei pacchetti extra e volevo provarlo:
l'ho scaricato e l'ho installato ma non parte...
cosa intendi per 'se parli di current perché prendere cose extra quando sono già comprese?'
prima partitiomanager non c'era...
Avatar utente
daniele50
Linux 2.6
Linux 2.6
 
Messaggi: 928
Iscritto il: mar apr 10, 2007 12:58
Località: San Zenone al Lambro (MI)
Nome Cognome: Daniele Cinquanta
Slackware: Slackware64 14.0
Kernel: 3.2.29
Desktop: Xfce 4.10

Re: partitionmanager: error libparted

Messaggioda giberg » sab mag 08, 2010 16:33

Se fai slackpkg install-new non te lo trova
perché non fa parte della directory slackware/
da dove quel comando va a pescare ma
si trova in extra/.
Se tu fai
slackpkg install partitionmanager
vedrai che te lo installa.
Avatar utente
giberg
Linux 3.x
Linux 3.x
 
Messaggi: 1282
Iscritto il: mer set 21, 2005 16:28
Località: S. Biagio di Callalta (TV)
Nome Cognome: Gianni
Slackware: current64
Kernel: 3.7.1
Desktop: 4.8.5

Re: partitionmanager: error libparted

Messaggioda daniele50 » sab mag 08, 2010 16:59

Ricomincio perché forse c'è confusione e chiedo scusa:
ho installato partitiomanager scaricandolo dal sito slacky.eu ma quando lo lancio da l'errore postato nel primo messaggio.

Ho risolto andando in /usr/lib come root e creando il link simbolico alla libreria:
Codice: Seleziona tutto
ln -s libparted.so.0 libparted-1.8.so.8

Ora, dato che funziona, vorrei solamente capire perché mi dava il problema ma soprattutto se la soluzione che ho adottato è 'pulita', cioè corretta, o se avrei dovuto risolvere diversamente.

Rimango in attesa di un commento e saluto.
Avatar utente
daniele50
Linux 2.6
Linux 2.6
 
Messaggi: 928
Iscritto il: mar apr 10, 2007 12:58
Località: San Zenone al Lambro (MI)
Nome Cognome: Daniele Cinquanta
Slackware: Slackware64 14.0
Kernel: 3.2.29
Desktop: Xfce 4.10

Re: partitionmanager: error libparted

Messaggioda Ansa89 » sab mag 08, 2010 17:04

Ecco il perché:
giberg ha scritto:Se fai slackpkg install-new non te lo trova
perché non fa parte della directory slackware/
da dove quel comando va a pescare ma
si trova in extra/.
Se tu fai
slackpkg install partitionmanager
vedrai che te lo installa.

La tua soluzione non è pulita.
Avatar utente
Ansa89
Iper Master
Iper Master
 
Messaggi: 2620
Iscritto il: mer ago 29, 2007 16:57
Località: Modena
Nome Cognome: Stefano Ansaloni
Slackware: 13.1
Kernel: 3.15.7-ck1
Desktop: XFCE 4.6.1

Re: partitionmanager: error libparted

Messaggioda daniele50 » sab mag 08, 2010 17:12

Grazie Ansa89 per la risposta.
Ho rimosso il pacchetto che avevo scaricato (removepkg partitionmanager-1.0.2-i486-1as) e ho eliminato il link simbolico precedentemente creato.
Poi ho installato partitionmanager con slackypkg (slackypkg install partitionmanager) e funziona tutto regolarmente.

Non avevo compreso che i pacchetti scaricati da slacky.eu funzionano per la stable ma potrebbero non funzionare per la current.
Chiaro che usando slacypkg (in cui ho settato un repository per la current) non corro quel problema.

Grazie a tutti!
:thumbright:
Avatar utente
daniele50
Linux 2.6
Linux 2.6
 
Messaggi: 928
Iscritto il: mar apr 10, 2007 12:58
Località: San Zenone al Lambro (MI)
Nome Cognome: Daniele Cinquanta
Slackware: Slackware64 14.0
Kernel: 3.2.29
Desktop: Xfce 4.10


Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti